//============================
//    Name: Index.html
//    Desc: Main page
//============================

page {
	+__() {
		.section--background {
			background-size cover
			background-position center center
			background-color $$null
			&-generator {
				position absolute
				width: 100%;
				height: 100%;
				display: grid;
				z-index -1
				background-size cover
				background-repeat: no-repeat;
				background-position center center
				background-color $$null
				-webkit-transform: translate3d(0,0,0);
				-webkit-backface-visibility: hidden;
				-webkit-transform-style: preserve-3d;
				-webkit-perspective: 1000;
			}
			&-filter-01, &-filter-02 {
				position absolute
				width: 100%;
				height: 100%;
				background-color: rgba(#061c3f, .34);
				display: grid;
				z-index -1
			 -webkit-transform: translate3d(0,0,0);
			 -webkit-backface-visibility: hidden;
			 -webkit-transform-style: preserve-3d;
			 -webkit-perspective: 1000;
			}
			&-filter-02 {
				background-color: rgba(#0c182a, .26);
			}
		}
		.container {
			display: grid;
			grid: 1fr / 1.1fr .9fr
			align-items: center;
			justify-content: center;
			max-width 1300px
			min-height 100vh
			margin auto
			+media(1266) {
				grid: repeat(auto-fit, minmax(1rem, auto))/auto;
				padding: 15rem 1rem 5rem;
			}
			+media(425) {
				padding 5rem 1rem
			}
		}
		.row {
			display: grid;
			align-items center
			justify-content: start;
			grid: repeat(auto-fit, minmax(1rem, auto))/auto;
		}
		.row:last-child {
			justify-content end
			+media(1266) {
				justify-content center
			}
		}
		&-title {
			.h1 {
				color: $$white;
				text-transform uppercase
				font-weight 700
				font-size: 3.07rem;
			}
		}
		&-cost {
			.row {
				display: grid;
				grid 1fr/1fr minmax(16rem, 0.9fr)
				margin 3rem 0
				+media(672) {
					grid repeat(2, 8rem) \/ minmax(16rem, 1fr)
				}
			}
			.numb {
				background-color $$white
				display: grid;
				grid auto/auto minmax(11rem, 1fr);
				padding 0 2rem
				grid-gap: 0 1.5rem
				+media(672) {
					grid auto \/repeat(auto-fit, minmax(4rem, auto));
					justify-content center
				}
				+media(325) {
					grid-gap: 0 1rem
				}
			}
			.item {
				margin 0
			}
			.item:nth-child(1) {
				align-items: center;
				justify-content: center;
				display: grid;
				grid-column: 1/2
				grid-row: 1/3
				color: $$blue
				font-weight 700
				font-size 6.4rem
				margin 1.5rem 0 1rem;
				+media(414) {
					font-size (@font-size / 1.2)
				}
			}
			.item:nth-child(2) {
				grid-column: 2
				grid-row: 1
				display: grid;
				align-items end
				font-size 2.25rem
				font-weight 700
				color: $$deepblue
				+media(414) {
					font-size (@font-size / 1.5)
				}
			}
			.item:nth-child(3) {
				grid-column: 2
				grid-row: 2
				font-size 1.5rem
				color: $$deepblue
				+media(414) {
					font-size (@font-size / 1.2)
				}
			}
			.desc {
				background-color $$blue
				display: grid;
				align-items: center;
				grid: auto auto / auto;
				justify-content: center;
			}
			.desc-ul {
				list-style-type: none
				padding 0
				align-self start
				margin 0 auto
				& li {
					color: $$white
					position relative
					&:before {
						content: '-';
						width: auto;
						height: auto;
						font-size: 1rem;
						line-height: 1;
						text-align: center;
						position: absolute;
						display: grid;
						left: -.7rem;
						top: 0;
					}
				}
			}
			.desc-title {
				font-weight 700
				font-size 1.5rem
				color: $$white
				align-self end
				margin-left: -.8rem;
			}
		}
		&-text {
			.item {
				color: $$white
				font-size 1.5rem
				font-weight 700
				margin: 0;
				margin-bottom: 1rem;
			}
			.item--color {
				background-color $$orange
				padding 0 .3rem
			}
		}
		&-phone {
			.container {
				display: grid;
				max-width 29rem
				align-items center
				justify-content end
				grid: repeat(auto-fit, minmax(1rem, auto))/auto;
				grid-gap: 1.2rem 0;
				margin-top: 3rem;
				margin-right: -2rem;
				background-color: #0000;
				padding: 2rem;
				border-radius: 23px;
				color: $$white
				transition .25s __cubic
				position relative
				+media(1266) {
					padding unset
					margin-right unset
					justify-content center
				}
			}
			.p {
				font-size 1.5rem
				color: unset
				text-align center
				margin 0
			}
			.mask {
				display: grid;
				width 100%
				height auto
				bord 23
				border: 2px solid #0000;
				background: unset;
				color: unset;
				font-size 2rem
				font-weight 700
				justify-content: center;
				align-items: center;
				padding: 0.4rem 0;
				text-align center
				transition .25s __cubic
				&::placeholder {
					color: $$white
				}
				+media(425) {
					font-size 1.8rem
				}
			}
			.btn {
				display: grid;
				justify-content center
				align-items center
			}
			.tooltip {
				position absolute
				display: none;
				left: 50%;
				top: -50%;
				transform translate(-50%, -50%)
				background: #222;
				color: $$blue;
				font-weight: 700;
				border-radius: 5px;
				padding: 0.5rem 1rem;
				align-items: center;
				justify-content: center;
				width: 11rem;
				z-index 2
				&:before {
					content: '';
					width: 1rem;
					height: 1rem;
					font-size: 1rem;
					line-height: 1;
					text-align: center;
					background-color: #212121;
					position: absolute;
					left: 50%;
					bottom: 0;
					transform: translate(-50%, 25%) rotate(45deg);
					display: grid;
					z-index 1
				}
			}
			.mask-position {
				position relative
			}
			.checked {
				width: 3rem;
				height: 3rem;
				display: grid;
				justify-content: center;
				align-items: center;
				margin: auto;
				border: 4px solid;
				border-radius: 100%;
			}
			.done {
				display none
			}
		}
	}
}
 


btn {
	+__() {
		.oval {
			font-size 1.5rem
			font-weight 700
			color: $$white
			width: auto;
			height: auto;
			border 0
			cursor pointer
			bord 23
			padding: 1rem 2rem;
			display: grid;
			align-items: center;
			justify-content: center;
			transition .25s __cubic
			+media(325) {
				font-size 1.2rem
			}
		}
		.color {
			background-color $$orange
			box-shadow: -7px 7px 21px 0px rgba(255, 168, 0, 0.18);
			&:hover {
				background-color #ff802b
			 box-shadow: -12px 12px 21px 12px rgba(255, 168, 0, 0.18);
			}
			&:active {
				background-color #ff6021
			}
		}
	}
}


/* ==== HEADER ==== */
hdr {
	+__() {
		.fixed {
			position: absolute;
			left: 0;
			width: 100%;
			top: 0;
			z-index: 3;
			margin: auto;
			+media(425) {
				position fixed
			}
		}
		.section--background {
			background-size cover
			background-position center center
			background-color $$null
		}
		.container {
			display: grid;
			grid: auto \/repeat(auto-fit, minmax(25rem, auto));
			grid-gap: 0 2rem;
			align-items: center;
			justify-content: space-between;
			max-width 1300px
			margin auto
			& a {
				color: $$white
			}
			margin-top 3rem
			+media(1266) {
				padding: 0 1rem;
				grid-gap: 0.3rem
				justify-content: start;
			}
		}
		.logo {
			+media(1266) {
				grid-column: 1/4
			}
			+media(425) {
				display none
			}
		}
		.logo-p {
			font-size 1.1rem
			color: $$white
		}
		.social {
			display: grid;
			grid: auto \/ repeat(3, auto)
			align-items: center;
			justify-content: end;
			grid-gap: 1rem;
			+media(1266) {
				justify-content: start;
			}
			+media(833) {
				grid-column: 1/4;
			}
			+media(424) {
				grid: auto auto \/ 1fr;
			}
		}
		.links-item {
			&:hover:nth-child(-n+3) {
				transform: rotate(-7deg);
				+media(424) {
					transform: unset
				}
			}
			&:active {
				transform translate(0, 4px)
			}
		}
		.phone {
			display: grid;
			grid: auto \/ auto auto;
			align-items: center;
			justify-content: end;
			grid-gap: 0 1rem
			+media(833) {
				justify-content: start;
			}
			+media(424) {
				grid: auto auto \/ 1fr;
			}
		}
		.phone-href {
			display: grid;
			grid auto \/ auto 1fr 
			align-items: center;
			grid-gap: 0 .4rem
		}
		.phone-p {
			font-size 1.1rem
			color: $$white
		}
		.phone-cyrcle {
			display: grid;
			align-items: center;
			justify-content: center;
			width 40px
			height 40px
			background-color $$blue
			border-radius 100%
		}
		.menu {
			display none
			user-select none
			+media(425) {
				display: grid;
				grid repeat(3, 1fr) / 1fr
				grid-gap: .5rem 0
				position fixed
				right 1rem
				top 1rem
				transition .25s __cubic
				&:hover {
					cursor pointer
				}
			}
		}
		.menu-line {
			width: 2rem;
			height: .25rem;
			display: grid;
			background: $$blue;
			border-radius: 1rem 1rem 1rem 1rem;
			transition .25s __cubic
		}
		.menu--background {	
			+media(425) {
				background: #0000;
				padding: 0 1rem 2rem;
				margin-top -100%
				transition .25s __cubic
			}
		}
	}
}
/* ==== ----- ==== */
 


/* ==== HEADER ==== */
ftr {
	+__() {
		.section--background {
			background-size cover
			background-position center center
			background-color $$null
		}
		.container {
			display: grid;
			grid-template-rows: minmax(3rem, auto)
			grid-template-columns: repeat(auto-fit, minmax(1rem, 1fr));
		}
	}
}
/* ==== ----- ==== */




scrollup {
	+__() {
		.section--background {
			background-size cover
			background-position center center
			background-color #ddd
		}
		.container {
			display: grid;
			grid-template-rows: auto;
			grid-template-columns: auto;
			position: fixed;
			bottom: 5%;
			right: 5%;
			width 3rem
			height 3rem
			transition .25s __cubic
			cursor pointer
			&:hover {
				background-color $$white
				border-radius 100%
			}
		}
	}
}